[Rpm-maint] [rpm-software-management/rpm] RFE: Finer-grained symbol dependencies using rich dependencies (#362)

Michael Schroeder notifications at github.com
Sat Nov 18 22:18:24 UTC 2017


First, I don't see why you need the rich deps here. Wouldn't a `libfoo.so.1(do_foo at FOO_1.0)(64bit))` requires be enough?

Then, wouldn't your proposal mean that over time you'll have a provide for every symbol? That'll be quite some burden on the metadata size and dependency solver setup. If you really want something like this you should look at altlinux's support of set-versions dependencies (IIRC).

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/rpm-software-management/rpm/issues/362#issuecomment-345475643
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.rpm.org/pipermail/rpm-maint/attachments/20171118/3e7083aa/attachment.html>


More information about the Rpm-maint mailing list